> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Channel Follow

> Follow a specific channel by ID

## 关注账号

**URL**: `/v1/channels/{channel_id}/follow`\
**方法**: `POST`\
**描述**: 关注账号

### 请求参数

| 参数名         | 类型  | 描述       |
| ----------- | --- | -------- |
| channel\_id | str | 账号唯一 ID。 |

### 响应参数

| 参数名         | 类型   | 描述       |
| ----------- | ---- | -------- |
| id          | str  | 账号唯一 ID。 |
| name        | str  | 账号名称。    |
| avatar\_url | str  | 账号头像。    |
| description | str  | 账号描述。    |
| following   | bool | 账号关注状态。  |


## OpenAPI

````yaml POST /v1/channels/{channel_id}/follow
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/channels/{channel_id}/follow:
    post:
      tags:
        - openapi-channels
      summary: Follow Channel
      description: Follow a specific channel by ID
      operationId: follow_channel_reportify_api_v1_channels__channel_id__follow_post
      parameters:
        - description: Channel ID
          required: true
          schema:
            type: string
            title: Channel Id
            description: Channel ID
          name: channel_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAIChannelResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    OAIChannelResponse:
      properties:
        id:
          type: string
          title: Id
          description: channel ID
        name:
          type: string
          title: Name
          description: channel name
        description:
          type: string
          title: Description
          description: channel description
          nullable: true
        avatar_url:
          type: string
          title: Avatar Url
          description: channel avatar
          nullable: true
        following:
          type: boolean
          title: Following
          description: follow flag
          default: false
          nullable: true
      type: object
      required:
        - id
        - name
      title: OAIChannelResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````